<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:gri="http://java.sun.com/jsf/composite/gri">
    <ui:decorate template="/prov_info_cons/_filterTemplate.xhtml">
        <ui:param name="assertion" value="#{assertion}"/>
        <ui:param name="currentRequest" value="#{currentReq}"/>
        <ui:param name="parent" value="#{parent}"/>
        <ui:define name="assertionDetails">
            <div class="form-horizontal">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" id="ruleDecorate">
                    <ui:param name="id" value="ruleIn"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.AttributeName']}</ui:define>
                    <rich:autocomplete mode="client"
                                       autocompleteList="#{currentReq.getAvailableAttributeTypes()}"
                                       value="#{assertion.matchingRuleAssertion.name}" minChars="1" autofill="false" selectFirst="false"
                                       required="true" id="ruleIn"
                                       requiredMessage="The name of the attribute is required" layout="list"/>
                </s:decorate>
                <ui:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.DNAttributes']}</ui:define>
                    <h:selectBooleanCheckbox value="#{assertion.matchingRuleAssertion.dnAttributes}"/>
                </ui:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="matchIn"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.MatchingRule']}</ui:define>
                    <h:inputText id="matchIn" value="#{assertion.matchingRuleAssertion.matchingRule}" styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="valueIn"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.simulator.common.Value']}</ui:define>
                    <h:inputText id="valueIn" value="#{assertion.matchingRuleAssertion.value}" styleClass="form-control"/>
                </s:decorate>
            </div>
        </ui:define>
    </ui:decorate>
</ui:composition>
